/***************************************************************************
                          datadir.cpp  -  description
                             -------------------
    begin                : Sam Mr 1 2003
    copyright            : (C) 2003 by Andr Simon
    email                : saalen@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "datadir.h"

using namespace std;

DataDir::DataDir():
 datadir(wxGetCwd().c_str())
{
}
const string &DataDir::getDir() {
  return datadir;
}
const string DataDir::getThemeDir(){
  return datadir+"\\themes\\";
}
const string  DataDir::getLangDefDir(){
  return datadir+"\\langDefs\\";
}
const string  DataDir::getI18nDir(){
  return datadir+"\\i18n\\";
}
const string  DataDir::getExtDir(){
  return datadir+"\\ext\\";
}
const string  DataDir::getIndentSchemesDir(){
  return datadir+"\\indentSchemes\\";
}

