#ifndef ASSOURCEITERATOR_H
#define ASSOURCEITERATOR_H

#include <string>
#include "compiler_defines.h"

#ifdef USES_NAMESPACE
namespace astyle
  {
#endif

  class ASSourceIterator
    {
    public:
      virtual bool hasMoreLines() const = 0;
      virtual std::string nextLine() = 0;
    };


#ifdef USES_NAMESPACE
}
#endif

#endif
